Page MenuHomePhabricator

Help panel: conduct user testing of initial help pane design
Closed, ResolvedPublic

Description

Background

The Growth team will be adding a prompt allowing users to ask for help when they are in the context of editing an article, with the hypothesis that this will help newer editors to complete an edit either by providing them with information for self-directed troubleshooting, or by allowing them to more easily ask questions to the Help Desk.

Goals of this user test

  1. Gauge the discoverability of the help pane call to action and help pane
  2. Identify improvements to the usability of the help pane:
    • Do users understand they can edit and use help links at the same time?
    • Are users able to successfully follow the steps to post a question?
    • Is there anything users that would like to be able to do from the help pane that they are missing?
  3. Gauge user reactions to the help pane and expectations of how their questions will be answered.

Testing format

UserTesting.com will be used to recruit users and run the test.
It will be a remote, unmoderated test where users will be asked go through the feature as a series of tasks, while "talking aloud" their expectations and experiences. It will be followed by a few written questions. Each session test should take no longer than 10 minutes to complete.

Testers

8 users will be recruited using UserTesting.com:

  • 4 will test on the Desktop Wikitext 2017 editing UI (so that users see a version that has the "?" icon in the top editing toolbar)
  • 4 will test on the Mobile Visual Editor UI

Respondents were screened for those less familiar with editing on Wikipedia.

Test protocol

https://docs.google.com/document/d/1lUqKBp0o2aIm33WfKdX_9W7mcurj7SoLm2_AaOeM6U0

Findings deck

https://docs.google.com/presentation/d/1VxZoqfT7HsK9qlNxJkmNtRN9jzs6wAtru0n_rtciXik

Event Timeline

RHo created this task.Nov 21 2018, 9:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 21 2018, 9:41 PM
MMiller_WMF renamed this task from Conduct user testing of initial help pane design to Help panel: conduct user testing of initial help pane design.Nov 29 2018, 6:10 PM
RHo updated the task description. (Show Details)Nov 30 2018, 1:30 PM
RHo updated the task description. (Show Details)Dec 12 2018, 9:55 PM

Findings summary presentation is complete, with most of the minor recommendations from the testing incorporated into the V1 design.

MMiller_WMF closed this task as Resolved.Dec 13 2018, 7:46 PM
MMiller_WMF added a subscriber: MMiller_WMF.

Posted summary of the findings on wiki here. Resolving task.

cmadeo added a subscriber: cmadeo.Mar 5 2019, 2:49 PM